GNU bug report logs - #17400
makefile mode wrong colors upon shell ':' command

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: 積丹尼 Dan Jacobson <jidanni@HIDDEN>; Keywords: confirmed; merged with #33681, #33900, #35299; dated Sun, 4 May 2014 03:22:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 17400 33681 33900 35299. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
bug Marked as found in versions 26.1. Request was from Bhavin Gandhi <bhavin7392@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) confirmed. Request was from Bhavin Gandhi <bhavin7392@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 17400 33681 33900. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Forcibly Merged 17400 33681. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 4 May 2014 03:21:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 03 23:21:33 2014
Received: from localhost ([127.0.0.1]:50260 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Wgmzc-0000XZ-CS
	for submit <at> debbugs.gnu.org; Sat, 03 May 2014 23:21:32 -0400
Received: from eggs.gnu.org ([208.118.235.92]:55890)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <jidanni@HIDDEN>) id 1WgmzY-0000XE-Sq
 for submit <at> debbugs.gnu.org; Sat, 03 May 2014 23:21:29 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <jidanni@HIDDEN>) id 1WgmzM-0002cL-S5
 for submit <at> debbugs.gnu.org; Sat, 03 May 2014 23:21:23 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.3 required=5.0 tests=BAYES_00, DATE_IN_PAST_03_06, 
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:33362)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <jidanni@HIDDEN>) id 1WgmzM-0002cH-PA
 for submit <at> debbugs.gnu.org; Sat, 03 May 2014 23:21:16 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:57569)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <jidanni@HIDDEN>) id 1WgmzG-0003sc-Mq
 for bug-gnu-emacs@HIDDEN; Sat, 03 May 2014 23:21:16 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <jidanni@HIDDEN>) id 1Wgmz9-0002Zn-Bg
 for bug-gnu-emacs@HIDDEN; Sat, 03 May 2014 23:21:10 -0400
Received: from homie.mail.dreamhost.com ([208.97.132.208]:55599
 helo=homiemail-a3.g.dreamhost.com)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <jidanni@HIDDEN>) id 1Wgmz9-0002Zf-5x
 for bug-gnu-emacs@HIDDEN; Sat, 03 May 2014 23:21:03 -0400
Received: from homiemail-a3.g.dreamhost.com (localhost [127.0.0.1])
 by homiemail-a3.g.dreamhost.com (Postfix) with ESMTP id B96AB28406E
 for <bug-gnu-emacs@HIDDEN>; Sat,  3 May 2014 20:21:02 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=jidanni.org; h=from:to
 :subject:date:message-id:mime-version:content-type; s=
 jidanni.org; bh=K2MGWof8pl+WId9auqQOueom63I=; b=AgMDO9blqZymcyqG
 GpnFvqx2p9DZJPYAgEsw7VSqdQ87wdQpeggCE81UvCGDzrP1wNwiK62gCLWiH5pK
 T2uLKXwGux2gEFQ4lbcfHeH9d5Fy58RcEySqvuEiJMuQfURMpprNm13wdrDHZ/va
 7O6dC9Q7f5XF2Aonqvx4nqXtOOg=
Received: from jidanni.org (122-118-149-123.dynamic.hinet.net
 [122.118.149.123])
 (using TLSv1 with cipher AES128-SHA (128/128 bits))
 (No client certificate requested)
 (Authenticated sender: jidanni@HIDDEN)
 by homiemail-a3.g.dreamhost.com (Postfix) with ESMTPSA id 86AB028406C
 for <bug-gnu-emacs@HIDDEN>; Sat,  3 May 2014 20:21:02 -0700 (PDT)
From: =?utf-8?B?56mN5Li55bC8?= Dan Jacobson <jidanni@HIDDEN>
To: bug-gnu-emacs <bug-gnu-emacs@HIDDEN>
Subject: makefile mode wrong colors upon shell ':' command
Date: Sun, 04 May 2014 07:39:53 +0800
Message-ID: <87mweyl9di.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -3.9 (---)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.9 (---)

$ cat Makefile
z:
	x||: #why is line blue?
	x||l #OK
$ help :
:: :
    Null command.

    No effect; the command does nothing.

    Exit Status:
    Always succeeds.




Acknowledgement sent to 積丹尼 Dan Jacobson <jidanni@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#17400; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 16 Apr 2019 21:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.